Skip to main content
POST
Create or replace a draft

Authorizations

Authorization
string
header
required

Agent token (alt_…) or OAuth access token; bound to one agent

Path Parameters

inboxId
string
required

Inbox id

Body

application/json
id
string
to
string[]
Maximum array length: 50
Maximum string length: 320
cc
string[]
Maximum array length: 50
Maximum string length: 320
bcc
string[]
Maximum array length: 50
Maximum string length: 320
subject
string
Maximum string length: 998
text
string
Maximum string length: 500000
html
string
Maximum string length: 500000
attachment_ids
string[]
Maximum array length: 10
Minimum string length: 1
expected_updated_at
string<date-time>

With id: the draft's updated_at as you last read it. If the draft was saved since, the save is refused with 409 and the current draft

Response

Draft

draft
object
required